Bug 468503 - booting system around midnight confuses anacron
booting system around midnight confuses anacron
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anacron (Show other bugs)
8
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-25 07:28 EDT by Tom Horsley
Modified: 2008-11-11 21:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 21:52:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2008-10-25 07:28:51 EDT
Description of problem:

My logwatch mail from /etc/cron.daily normally shows up at exactly
3:55 AM. Last night (or really early this morning) I rebooted my fedora 8
partition at 24 minutes after midnight. This morning I have one logwatch
mail from 2:23 AM and another from 3:55 AM.

Something about booting after midnight seems to have convinced anacron
I missed the daily cron job, even though it wasn't actually
scheduled to run for this day till later.

Version-Release number of selected component (if applicable):
anacron-2.3-57.fc8

How reproducible:
I've seen this before, so I think it happens every time, but it takes
a day to reproduce and I need to stay up late, so I haven't explicitly
tried it again.

Steps to Reproduce:
1. boot system shortly after midnight
2. see anacron "rerun" jobs that hadn't actually been missed.
3.
  
Actual results:
duplicate cron jobs

Expected results:
just the scheduled cron jobs

Additional info:
The times above are all for eastern time zone where my computer is,
the system clock is set to keep UTC time.
Comment 1 Marcela Mašláňová 2008-10-30 09:54:53 EDT
Thank you for remind. I've forgotten push this change into F-8. Please test it before I put it into stable.
Comment 2 Fedora Update System 2008-10-30 09:57:04 EDT
anacron-2.3-58.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/anacron-2.3-58.fc8
Comment 3 Fedora Update System 2008-10-31 06:27:22 EDT
anacron-2.3-58.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anacron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9335
Comment 4 Fedora Update System 2008-11-11 21:52:01 EST
anacron-2.3-58.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.